%define upstream_name    Data-Hierarchy
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Perl module to handle data in a hierarchical structure
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:  perl(Clone)
BuildRequires:  perl(Test::Exception)
BuildArch:      noarch


%description
Data::Hierarchy provides a simple interface for manipulating 
inheritable data attached to a hierarchical environment (like filesystem).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%{makeinstall_std}

%files
%doc CHANGES README 
%{perl_vendorlib}/Data
%{_mandir}/man3/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.340.0-8pclos2017
- rebuild against updates

